function dxdt = modello_SEIR(t,x)

% parametri, condizione iniziale o e orizzonte di simulazione
global mu; global gamma; global alfa;
global beta0; global delta;

beta=beta0*(1+delta*x(4));

S=exp(x(1));
E=exp(x(2));
I=exp(x(3));

dxdt=[(mu-mu*S-beta*S*I)/S
      (beta*S*I-mu*E-alfa*E)/E
      (alfa*E-mu*I-gamma*I)/I
      x(4)+2*pi*x(5)-(x(4)^2+x(5)^2)*x(4)
      x(5)-2*pi*x(4)-(x(4)^2+x(5)^2)*x(5)];
end