function dxdt = modello_love(t,x)

% parametri, variabile di stato e orizzonte di simulazione
global alfa1;
global alfa2;
global A1;
global A2;
global R1m;
global R1p;
global s;
global soglia;

O1=-alfa1*x(1);
O2=-alfa2*x(2);
R1=R1m*x(2)/(x(2)-1)*(sign(-x(2))+1)*0.5+R1p*x(2)/(x(2)+1)*(sign(x(2))+1)*0.5;
R2=2*x(1)/(1-x(1))*(sign(-x(1))+1)*0.5+4*x(1)/(2+x(1))*(soglia^8-x(1)^8)/(soglia^8+x(1)^8)*(sign(x(1))+1)*0.5;
sigma1=0*(sign(-x(1))+1)*0.5+s*x(1)^8/(1+x(1)^8)*(sign(x(1))+1)*0.5;

dxdt=[O1+R1+A2*(1+sigma1)
      O2+R2+A1];
end